Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40465 - I can't rebuild lib32-glibc

Attached to Project: Community Packages
Opened by midixinga (midixinga) - Tuesday, 20 May 2014, 11:38 GMT
Last edited by Jan Alexander Steffens (heftig) - Tuesday, 20 May 2014, 21:34 GMT
Task Type Bug Report
Category Packages: Multilib
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
it's in the multilib repository, I don't know if Category Core is correct

I can't rebuild lib32-glibc (I Wanted to rebuild with enabled lock elision)

makepkg
==> Making package: lib32-glibc 2.19-5 (Tue May 20 13:30:13 CEST 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading glibc-2.19.tar.xz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 11.5M 100 11.5M 0 0 1328k 0 0:00:08 0:00:08 --:--:-- 1521k
-> Downloading glibc-2.19.tar.xz.sig...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 473 100 473 0 0 1783 0 --:--:-- --:--:-- --:--:-- 1778
-> Found glibc-2.19-xattr_header.patch
-> Found glibc-2.19-fix-sign-in-bsloww1-input.patch
-> Found lib32-glibc.conf
==> Validating source files with md5sums...
glibc-2.19.tar.xz ... Passed
glibc-2.19.tar.xz.sig ... Skipped
glibc-2.19-xattr_header.patch ... Passed
glibc-2.19-fix-sign-in-bsloww1-input.patch ... Passed
lib32-glibc.conf ... Passed
==> Verifying source file signatures with gpg...
glibc-2.19.tar.xz ... FAILED (unknown public key 25EF0A436C2A4AFF)
==> WARNING: Warnings have occurred while verifying the signatures.
Please make sure you really trust them.
==> Extracting sources...
-> Extracting glibc-2.19.tar.xz with bsdtar
==> Starting prepare()...
patching file misc/sys/xattr.h
patching file sysdeps/ieee754/dbl-64/s_sin.c
==> Starting build()...
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for gcc... gcc -m32
checking for suffix of object files... configure: error: in `/var/abs/local/lib32-glibc/src/glibc-build':
configure: error: cannot compute suffix of object files: cannot compile
See `config.log' for more details
==> ERROR: A failure occurred in build().
Aborting...


Additional info:
Name lib32-glibc
Version 2.19-5

src/glibc-build/config.log attached
Steps to reproduce: makepkg

in PKGBUILD: pkgrel=4 !? It has to be 5 ?
Changing to 5 doesn't fix
This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Tuesday, 20 May 2014, 21:34 GMT
Reason for closing:  Not a bug
Additional comments about closing:  ABS doesn't update immediately. Give it a day.
Comment by midixinga (midixinga) - Tuesday, 20 May 2014, 11:51 GMT
with disabled lock elision of course
Comment by midixinga (midixinga) - Tuesday, 20 May 2014, 12:56 GMT
.
Comment by Dave Reisner (falconindy) - Tuesday, 20 May 2014, 13:03 GMT
  • Field changed: Status (Unconfirmed → Assigned)
  • Field changed: Category (Packages: Core → Packages: Multilib)
  • Field changed: Architecture (x86_64 → All)
  • Task assigned to Jan Alexander Steffens (heftig)
configure:2763: gcc -m32 -c -march=x86-64 -mtune=generic -O2 -pipe -strong --param=ssp-buffer-size=4 -mno-tls-direct-seg-refs conftest.c >&5
gcc: error: unrecognized command line option '-strong'

The PKGBUILD has this, which fails now that the default stack protector flags have changed...

CFLAGS=${CFLAGS/-fstack-protector/}

So you're left with -strong, which isn't a real thing.
Comment by midixinga (midixinga) - Tuesday, 20 May 2014, 19:11 GMT
I think, there was failure copying the files to abs:

I found the right sources here:
https://projects.archlinux.org/svntogit/community.git/tree/trunk?h=packages/lib32-glibc
Comment by Dave Reisner (falconindy) - Tuesday, 20 May 2014, 19:27 GMT
Yeah, weird. pkgrel=5 isn't in ABS, which fixes this.

Loading...